<template lang="pug">
  .custom-carousel.stained-background
    no-ssr
      owl-carousel.vue-owl-carousel(
        loop,
        autoplay,
        center,
        :nav='false',
        :responsive=`{
          0: { items: 1, nav: false },
          600: { items: 2, nav: false },
          900: { items: 3, nav: false }
        }`
      )
        template(slot="prev")
          img.arrow.left(src="~/assets/img/paint/arrow-right.webp")
        slot
        template(slot="next")
          img.arrow.right(src="~/assets/img/paint/arrow-right.webp")
</template>

<script>
export default {
  props: { perPage: { type: Number, default: 3 } },
  data() {
    return { text: 'Hello World' }
  }
}
</script>

<style lang="scss">
.custom-carousel {
  position: relative;

  .vue-owl-carousel {
    display: flex;

    .owl-carousel {
      flex: 0 1 100%;
      min-width: 0;
    }

    & > span {
      flex: 0 0 2.5em;
      margin: auto;

      // !important required due to some issues in vue-own-carousel (for loop carousels)
      display: block !important;
    }

    img.arrow {
      height: 4em;
      width: 2.5em;

      cursor: pointer;

      &.right {
        right: 0;
      }

      &.left {
        left: 0;
        transform: rotateY(180deg);
      }
    }
  }
}
</style>
